> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Libraries

> Retrieve a paginated list of all libraries associated with your account.
You can filter by visibility or creation date.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/openapi.json get /libraries
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1/vidinfra
    description: Production server
security:
  - bearer: []
tags:
  - name: Library
  - name: Folder
  - name: Video
  - name: Subtitle
  - name: Video Thumbnails
  - name: Transcoding Profiles
  - name: Player Themes
  - name: Video Chapter
  - name: Webhook Endpoints
  - name: Webhook Deliveries
  - name: Security
  - name: Video Multipart Upload
  - name: Webhook
  - name: Migration Jobs
paths:
  /libraries:
    get:
      tags:
        - Library
      summary: List Libraries
      description: |-
        Retrieve a paginated list of all libraries associated with your account.
        You can filter by visibility or creation date.
      parameters:
        - name: page
          in: query
          description: ''
          required: false
          example: '1'
          schema:
            type: string
        - name: limit
          in: query
          description: ''
          required: false
          example: '1'
          schema:
            type: string
        - name: filter[name][eq]
          in: query
          description: ''
          required: false
          example: Product Launch Videos updated
          schema:
            type: string
        - name: filter[distribution_id][eq]
          in: query
          description: ''
          required: false
          example: 14f16482-3479-40dd-8c33-906f731c3062
          schema:
            type: string
        - name: filter[status]
          in: query
          description: ''
          required: false
          example: active
          schema:
            type: string
        - name: sort
          in: query
          description: ''
          required: false
          example: name
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        updated_at:
                          type: string
                        created_at:
                          type: string
                        created_by:
                          type: string
                        updated_by:
                          type: string
                        name:
                          type: string
                        usage_type:
                          type: string
                        description:
                          type: string
                        default_privacy:
                          type: string
                        status:
                          type: string
                        region:
                          type: string
                        id:
                          type: string
                        distribution_id:
                          type: string
                        organization_id:
                          type: string
                      required:
                        - updated_at
                        - created_at
                        - created_by
                        - updated_by
                        - name
                        - usage_type
                        - description
                        - default_privacy
                        - status
                        - region
                        - id
                        - distribution_id
                        - organization_id
                  meta:
                    type: object
                    properties:
                      links:
                        type: object
                        properties:
                          self:
                            type: string
                          first:
                            type: string
                          last:
                            type: string
                        required:
                          - self
                          - first
                          - last
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                          page_size:
                            type: integer
                          total:
                            type: integer
                          total_pages:
                            type: integer
                        required:
                          - page
                          - page_size
                          - total
                          - total_pages
                    required:
                      - links
                      - pagination
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - data
                  - meta
                  - message
                  - success
              example:
                data:
                  - updated_at: '2025-10-09T10:56:43.735141Z'
                    created_at: '2025-10-09T10:56:43.735141Z'
                    created_by: 2fa3fe27-ffcd-470b-becf-83f6f22a93ab
                    updated_by: null
                    name: Product Launch Videos
                    usage_type: marketing
                    description: Videos for product launches and announcements.
                    default_privacy: unlisted
                    status: provisioning
                    region: us-east-1
                    id: 5f6d1de8-6499-4bb0-8d9c-13cecf79752a
                    distribution_id: 00000000-0000-0000-0000-000000000000
                    organization_id: 677826f5-1aea-4cba-8973-043cdbc60f35
                  - updated_at: '2025-10-09T10:58:09.093656Z'
                    created_at: '2025-10-09T10:58:08.346044Z'
                    created_by: 2fa3fe27-ffcd-470b-becf-83f6f22a93ab
                    updated_by: null
                    name: Product Launch Videos
                    usage_type: marketing
                    description: Videos for product launches and announcements.
                    default_privacy: unlisted
                    status: provisioning
                    region: us-east-1
                    id: 7eb23480-76fc-4103-93db-52c0f0763839
                    distribution_id: efe055d2-f4f5-41cf-8068-a6454016c0ea
                    organization_id: 677826f5-1aea-4cba-8973-043cdbc60f35
                meta:
                  links:
                    self: /libraries/?limit=20&page=1
                    first: /libraries/?limit=20&page=1
                    last: /libraries/?limit=20&page=1
                  pagination:
                    page: 1
                    page_size: 20
                    total: 2
                    total_pages: 1
                message: Libraries Fetched Successfully
                success: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Invalid Request
                success: false
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - code
                  - message
                  - success
              example:
                code: auth_type_not_found
                message: >-
                  Could not determine authentication type from request. Please
                  provide a valid Authorization header or X-API-Key header.
                success: false
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Resource not found
                success: false
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Internal server error
                success: false
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````